
#ifndef __AGGR_TYPE_H__
#define __AGGR_TYPE_H__

#define TUPLE_T(_a,_b) tuple_t<_a,_b>
#define TRIPLE_T(_a,_b,_c) triple_t<_a,_b,_c>

#define TUPLE_CTR(_a,_b,_c,_d) tuple_t<_a,_b>(_c,_d)
#define TRIPLE_CTR(_a,_b,_c,_d,_e,_f) triple_t<_a,_b,_c>(_d,_e,_f)

template <class R, class S>
struct tuple_t {
	tuple_t() {};
	tuple_t(R a, S b) : first(a), second(b) {}
	R first;
	S second;
};

template <class R, class S, class T>
struct triple_t {
	triple_t() {};
	triple_t(R a, S b, T c) : first(a), second(b), third(c) {}
	R first;
	S second;
	T third;
};

#endif
