
#define OPER_ID_T short
#define MACH_ID_T short
#include "lib_types.hpp"
#include "osm.hpp"
#include "managers.hpp"

class dummy_operation : public _base_operation {

	public:

		dummy_operation(int id) : _base_operation(id) {};

		bool test_osm(unsigned int id) {return true;}

		void run_osm_pre(unsigned int id) {}

		void run_osm_post(unsigned int id) {}

		void run_exp(unsigned int id) {}

		void init(_base_machine *mach, short *d, void *cdg) {}

};


int main()
{
	value_manager<int> val("val_example");
	array_manager<BIT_T(WORD_T,4), int> arr("array_example", 16);
	unit_manager<int> unit("unit_example");

	return unit.get_value()+arr.get_value(1);
}
