
#include "interface.hpp"

static uint16_t inst_mem[] = {
	0xb600, // 0: add r1, r2, r3
	0xd800, // 2: add r2, r3, r0
	0xe800, // 4: add r2, r3, r0
	0x7ffa, // 6: branch -6 
	0x0000,
	0x0000,
	0x0000,
	0x0000,
};

_UINT_T(16) fetch_manager::get_instruction()
{
	return inst_mem[current_pc.val()>>1];
}
