
#include <iostream>
#include <sstream>
#include "interface.hpp"

using std::ostream;
using std::stringstream;

void fatal_error(hip_simulator *sim,
	 const _UINT_T(16)& pc, const _UINT_T(16) &iw)
{
	std::cerr << "**Unknown opcode " << pc.hex()
				<< ':' << iw.bin() << std::endl;
	//fprintf(stderr, "Unknown opcode 0x%04x:0x%04x.\n", pc.val(), iw.val());
}
