
#ifndef __MISC_H__
#define __MISC_H__

#include "config.h"
#include "bittypes.h"
#include <cstdio>

typedef uint64_t UInt64;
typedef int64_t  SInt64;
typedef uint32_t UInt32;
typedef int32_t  SInt32;
typedef uint16_t UInt16;
typedef int16_t  SInt16;
typedef uint8_t  UInt8;
typedef int8_t   SInt8;

typedef UInt32 dword_t;
typedef SInt32 sdword_t;
typedef UInt16 word_t;
typedef SInt16 sword_t;
typedef UInt8  byte_t;
typedef SInt8  sbyte_t;
typedef UInt16 hip_inst_t;
typedef UInt16 hip_addr_t;
typedef UInt32 BOOL;

typedef hip_addr_t target_addr_t;

uint64_t ato_uint64(char *input);

void dump_int64(uint64_t, FILE *);
void dump_int64_smart(uint64_t, FILE *);

/*target endianness*/
#define TARGET_LITTLE_ENDIAN 1

/*host endianness*/
#ifndef WORDS_BIGENDIAN
#define WORDS_BIGENDIAN 0
#endif

#define PROG_START 0
#define DATA_START 0

#endif
