
#include <iostream>
#include <iomanip>
#include "decode.h"

using namespace std;

ostream& operator << (ostream& os, const Label& val)
{
	os << val.name;
	return os;
}

ostream& operator << (ostream& os, const DecodeEntry& entry)
{
	os << "mask=" << PADDEDHEX << entry.mask
		<< "\tsig=" << PADDEDHEX << entry.signature
		<< "\tprob=" << setprecision(9) << entry.prob
		<< "\tname=" << entry.label;
	return os;
}
