
#ifndef __INCLUDE_OSM_H__
#define __INCLUDE_OSM_H__

/* first define three macros required by libosm.hpp
 * MACH_ID_T, OPER_ID_T, SIMULATOR
 */
#define OPER_DEF(_a,_b)
#include "oper_list.hpp"

#if MAX_OPER_ID<65536
#define OPER_ID_T uint16_t
#else
#define OPER_ID_T uint32_t
#endif

#define MACH_ID_T uint32_t

class arm_simulator;

#define SIMULATOR arm_simulator

/* include libosm stuff */
#include "libosm.hpp"

#endif
