
#ifndef __BITTYPE_H_
#define __BITTYPE_H_

#include "config.h"

#if HAVE_INTTYPES_H
#include <inttypes.h>
#else
#if HAVE_STDINT_H
#include <stdint.h>
#else
#ifdef __CYGWIN__
/*ugly cygwin*/
#include <sys/types.h>
#ifndef __uint8_t_defined
typedef u_int8_t uint8_t;
typedef u_int32_t uint32_t;
typedef u_int16_t uint16_t;
typedef u_int64_t uint64_t;
#endif
#else
#error "Bit type header files not found!\n"
#endif
#endif
#endif

#endif
