
#define _OPER_ID_T short
#define _MACH_ID_T short
#define _SIMULATOR int
#include "lib_types.hpp"
#include "osm.hpp"
#include "managers.hpp"

class dummy_operation : public _base_operation_ {

	public:

		dummy_operation(int id) : _base_operation_(id,1) {};

		bool __test_osm(unsigned int id) {return true;}

		void __run_osm_pre(unsigned int id) {}

		void __run_osm_post(unsigned int id) {}

		void __run_exp(unsigned int id) {}

		void __init(_base_machine_ *mach, short *d, void *cdg) {}

};


int main()
{
	value_manager<int> val("val_example");
	array_manager<_BIT_T(_WORD_T,4), int> arr("array_example", 16);
	unit_manager<int> unit("unit_example");

	return unit.get_value()+arr.get_value(1);
}
