#ifndef __PARMS_H__
#define __PARMS_H__

/********************************************
* High level microarchitecture parameters  *
********************************************/

const int memoryWriteLatency = 18; /* Memory Write Latency */
const int memoryReadLatency = 32;  /* Memory Read Latency   */
const int tlbLoadLatency = 49;	  /* Memory Read Latency   */

const int nITLBBlocks   = 32;
const int nITLBAssoc    = 32;
const int IPageSize     = 4096;

const int nDTLBBlocks   = 32;
const int nDTLBAssoc    = 32;
const int DPageSize     = 4096;

const int nICacheBlocks = 512;
const int nICacheAssoc  = 32;
const int ICacheLineSize= 32;

const int nDCacheBlocks = 256;
const int nDCacheAssoc  = 32;
const int DCacheLineSize= 32;

const int nWriteBufferEntries = 8;
const int writeBufferEntrySize=DCacheLineSize/2;


#endif
