
#ifndef __INCLUDE_OSM_H__
#define __INCLUDE_OSM_H__

/* first define three macros required by libosm.hpp
 * MACH_ID_T, OPER_ID_T, SIMULATOR
 */
#define _OPER_DEF(_a,_b,_c)

#if _MAX_OPER_ID<256
#define _OPER_ID_T uint8_t
#elif _MAX_OPER_ID<65536
#define _OPER_ID_T uint16_t
#else
#define _OPER_ID_T uint32_t
#endif

#define _MACH_ID_T uint32_t

class simple_simulator;

#define _SIMULATOR simple_simulator

/* include libosm stuff */
#include "libosm.hpp"

#endif
